XenServer 5.6 & Debian Lenny: Fix apt-get/aptitude GPG error

If you follow the instructions in the Citrix Developer Network to set up a (paravirtualized) Debian Lenny guest system apt-get or aptitude will show the following error

W: GPG error: http://updates.vmd.citrix.com lenny Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 841D6D8DFE3F8BB2
W: You may want to run apt-get update to correct these problems

until you add the GPG key for the xen sources (defined in /etc/apt/sources.list.d/citrix.list):

# wget -q http://updates.vmd.citrix.com/XenServer/5.6.0/GPG-KEY -O- | apt-key add -

Comments

  1. charasoverride

    Thanks, this helped !

Leave a comment

Your email address will not be published. Required fields are marked *

*